album_api_version: 0.5.5
args:
- description: Root folder of your data. Data structure must be provided as specified
    in documentation!
  name: root
  required: true
  type: string
- description: output folder
  name: out
  required: true
  type: string
- default: 12000
  description: Total memory of the gpu to use at max.
  name: total_memory
  required: false
  type: integer
- default: 300
  description: Number of epochs to train for.
  name: epochs
  required: false
  type: integer
- default: 100
  description: Number of steps per epochs.
  name: steps_per_epoch
  required: false
  type: integer
- default: 2,2,2
  description: Grid of the model. Must be given as a string separated by ",".
  name: grid
  required: false
  type: string
- default: 96
  description: Rays of the model.
  name: rays
  required: false
  type: integer
- default: true
  description: Whether to use gpu or not. Only enable if you have a GPU available
    that is compatible with tensorflow 2.0.
  name: use_gpu
  required: false
  type: boolean
- default: 1
  description: Number of input channels
  name: n_channel_in
  required: false
  type: integer
- default: unet
  description: Backbone of the model. See https://github.com/stardist/stardist for
    more details.
  name: backbone
  required: false
  type: string
- default: 3
  description: Depth of the unet.
  name: unet_n_depth
  required: false
  type: integer
- default: 160,160,160
  description: Patch size of the training. Each of the 3 dimensions given as string,
    separated by comma.
  name: train_patch_size
  required: false
  type: string
- default: 1
  description: Batch size of the training.
  name: train_batch_size
  required: false
  type: integer
- default: 1,0.1
  description: Weights for losses relating to (probability, distance). Given as string,
    separated by comma.
  name: train_loss_weights
  required: false
  type: string
- default: true
  description: Whether to use augmentation or not. If enabled the data is probabilistically
    flipped, rotated, elastic deformed, intensity scaled and additionally noised.
  name: use_augmentation
  required: false
  type: boolean
- default: 3D
  description: Mode of the model. Either 2D or 3D tif files can be loaded.
  name: mode
  required: false
  type: string
changelog: null
cite:
- doi: 10.1007/978-3-030-00934-2_30
  text: Uwe Schmidt and Martin Weigert and Coleman Broaddus and Gene Myers, Cell Detection
    with Star-Convex Polygons, International Conference on Medical Image Computing
    and Computer-Assisted Intervention (MICCAI), Granada, Spain, September 2018
- doi: 10.1109/WACV45572.2020.9093435
  text: Martin Weigert and Uwe Schmidt and Robert Haase and Ko Sugawara and Gene Myers,
    Star-convex Polyhedra for 3D Object Detection and Segmentation in Microscopy,
    IEEE Winter Conference on Applications of Computer Vision (WACV), March 2020
covers:
- description: StarDist Train Cover Image
  source: cover.jpg
description: An album solution to train a stardist model
documentation:
- README.md
group: segmentation
license: MIT
name: stardist_train
solution_creators:
- Martin Weigert
- Jan Philipp Albrecht
- Lucas Rieckert
- Maximilian Otto
tags:
- StarDist
- machine learning
timestamp: '2024-03-08T16:09:40.140474'
title: StarDist Train
version: 0.2.0
